All Data Structures Namespaces Files Functions Variables
AController Class Reference
Inheritance diagram for AController:

## Public Member Functions

| __construct ($context, $params)
| start ()

## Protected Attributes

| $params

## Detailed Description

Controller abstract class

Definition at line 8 of file AController.php.

## Constructor & Destructor Documentation

__construct | ( |  | $context,
|  |  | $params
| ) |  |

Parameters

  \Tools\Context | $context |
  array | $params |

Exceptions

  | Exception if parameters does not correspond On 404 error, router will try to find another route Initialize structure

Definition at line 27 of file AController.php.

{
$this->params = $params;
}
Tools\AController\$params
$params
Definition: AController.php:18

## Member Function Documentation

start | ( |  | ) |

abstract

Fullfill Controller's request

## Field Documentation

array $params

protected

Contains route parameter ex: /product/:id will contains { 0 => product 1 => [ID] ':id' => [ID]

Definition at line 18 of file AController.php.

The documentation for this class was generated from the following file:

- core/tools/AController.php